%global pkg  anthy-unicode
%bcond_with xemacs

Name:  anthy-unicode
Version: 1.0.0.20190412
Release: 2%{?dist}
# The entire source code is LGPLv2+ and dictionaries is GPLv2. the corpus data is under Public Domain.
License: LGPLv2+ and GPLv2 and Public Domain
URL:  https://github.com/fujiwarat/anthy-unicode/wiki
BuildRequires: emacs
BuildRequires: gcc
%if 0%{?rhel} == 0
BuildRequires: xemacs
%endif

Source0: https://github.com/fujiwarat/anthy-unicode/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1: %{name}-init.el
# Upstreamed patches
Patch0: %{name}-xx-HEAD.patch

Summary: Japanese character set input library for Unicode
Group:  System Environment/Libraries
Requires: emacs-filesystem >= %{_emacs_version}
Provides: emacs-anthy-el, emacs-anthy
Obsoletes: emacs-anthy-el, emacs-anthy
%if 0%{?rhel} == 0
Requires: xemacs-filesystem >= %{_xemacs_version}
Provides: xemacs-anthy-el, xemacs-anthy
Obsoletes: xemacs-anthy-el, xemacs-anthy
%endif

%description
Anthy Unicode is another Anthy project and provides the library to input
Japanese on the applications, such as X applications and emacs. and the
user dictionaries and the users information which is used for the conversion,
is stored into their own home directory. So Anthy Unicode is secure than
other conversion server.

%package devel
Summary: Header files and library for developing programs which uses Anthy Unicode
Group:  Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
The anthy-devel package contains the development files which is needed to build
the programs which uses Anthy Unicode.


%prep
%autosetup -S git

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# remove unnecessary files
rm $RPM_BUILD_ROOT%{_libdir}/lib*.la

## for emacs-anthy
mkdir -p $RPM_BUILD_ROOT%{_emacs_sitestartdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_emacs_sitestartdir}

%if 0%{?rhel} == 0
## for xemacs-anthy
mkdir -p $RPM_BUILD_ROOT%{_xemacs_sitestartdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_xemacs_sitestartdir}
# FIXME lisp build
%if %{with xemacs}
pushd $RPM_BUILD_DIR/%{name}-%{version}/src-util
make clean
make EMACS=xemacs lispdir="%{_xemacs_sitelispdir}/%{pkg}"
make install-lispLISP DESTDIR=$RPM_BUILD_ROOT EMACS=xemacs lispdir="%{_xemacs_sitelispdir}/%{pkg}" INSTALL="install -p"
popd
%else
mkdir -p $RPM_BUILD_ROOT%{_xemacs_sitelispdir}/%{pkg}
cp $RPM_BUILD_ROOT%{_emacs_sitelispdir}/%{pkg}/*.el \
   $RPM_BUILD_ROOT%{_xemacs_sitelispdir}/%{pkg}/.
%endif
%endif

%ldconfig_scriptlets

%files
%doc AUTHORS ChangeLog DIARY NEWS README
%license COPYING
%{_bindir}/*
%{_sysconfdir}/*
%{_libdir}/lib*.so.*
%{_datadir}/%{pkg}/
%doc doc/ELISP
%{_emacs_sitelispdir}/%{pkg}/*.el
%{_emacs_sitelispdir}/%{pkg}/*.elc
%{_emacs_sitestartdir}/*.el
%dir %{_emacs_sitelispdir}/%{pkg}
%if 0%{?rhel} == 0
%{_xemacs_sitelispdir}/%{pkg}/*.el
%if %{with xemacs}
%{_xemacs_sitelispdir}/%{pkg}/*.elc
%endif
%{_xemacs_sitestartdir}/*.el
%dir %{_xemacs_sitelispdir}/%{pkg}
%endif

%files devel
%doc doc/DICLIB doc/DICUTIL doc/GLOSSARY doc/GRAMMAR doc/GUIDE.english doc/ILIB doc/LEARNING doc/LIB doc/MISC doc/POS doc/SPLITTER doc/TESTING doc/protocol.txt
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Jun 03 2019 Takao Fujiwara <fujiwara@redhat.com> 1.0.0.20190412-2
- Update license

* Wed Apr 03 2019 Takao Fujiwara <fujiwara@redhat.com> 1.0.0.20190412-1
- Initial package

